{% extends 'configuration/looking_for_property_request_reporter/looking_for_property_request_reporter_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/looking_for_property_request_reporter/privacy_policy') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/looking_for_property_request_reporter/privacy_policy') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Gesuchsmelder-Konfiguration</span>
        {{ form_widget(privacyPolicyForm.save, {'label': 'SPEICHERN', 'id': privacyPolicyForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Einstellungen zur Datenschutzvereinbarung</h2>
                <p>
                    Hier können Sie die Datenschutzerklärung explizit nach Ihren Wünschen anpassen.<br>
                    Bitte füllen Sie selbst die Daten des Datenschutzbeauftragten ein und bitte prüfen Sie den Text auf Korrektheit.
                </p>
                {{ form_start(privacyPolicyForm, {'attr': {'id': privacyPolicyForm.vars.id ~ '_form'}}) }}
                {% include 'configuration/form/looking_for_property_request_reporter/privacy_policy_form.html.twig' with {'form': privacyPolicyForm} only %}
                {{ form_row(privacyPolicyForm._token) }}
                {{ form_end(privacyPolicyForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
